Bug 58005

Summary: snmpget (4.2.1) does not produce correct output when -O v is specified
Product: [Retired] Red Hat Linux Reporter: Dan Tucny <d>
Component: ucd-snmpAssignee: Phil Knirsch <pknirsch>
Status: CLOSED RAWHIDE QA Contact: Brock Organ <borgan>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.1CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2002-01-18 19:13:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Dan Tucny 2002-01-05 00:21:58 UTC
From Bugzilla Helper:

Description of problem:
When 'snmpget' is used with the -O v command line parameters, it should 
return just the value, missing the OID from the output. 

Version-Release number of selected component (if applicable): 4.2.1


How reproducible:
Always

Steps to Reproduce:
1. snmpget -v 1 -O v localhost public .1.3.6.1.2.1.2.2.1.2.2
2.
3.
	

Actual Results:  interfaces.ifTable.ifEntry.ifDescr.2sit0

Expected Results:  sit0

Additional info:

This works with 4.2, however has been broken in 4.2.1.
eg.
snmpget -v 1 -O v localhost public .1.3.6.1.2.1.2.2.1.2.2
with 4.2 returns: sit0
with 4.2.1 returns: interfaces.ifTable.ifEntry.ifDescr.2sit0
with 4.2.1 without -O v: interfaces.ifTable.ifEntry.ifDescr.2 = sit0

4.2.1 is the version supplied by RHN (updated from 4.2). Using the older 
version works, using newer versions of ucd-snmp (net-snmp) also works.

Comment 1 Need Real Name 2002-01-18 19:13:14 UTC
Greetings!
I have spoken to RedHat support about this issue and they suggested filing a bugzilla report.  I can confirm that this is a problem.

Here is an example of the command I am trying to use: 

/usr/bin/snmpget -v 1 -Cf -Ov localhost mycommunitystring
enterprises.ucdavis.memory.memAvailReal.0 

According to the snmpcmd man page, the -Ov flag is supposed to show just
the value and leave out the OID, but here's the result I get:

enterprises.ucdavis.memory.memAvailReal.019712 

Instead of just the amount of memory.  This flag was not broken under
the default RedHat 7.1 installation, but broke when the SNMP package was
updated.

I am currently running ucd-snmp-4.2.1-4.7.x and
ucd-snmp-utils-4.2.1-4.7.x under RedHat 7.1 


Comment 2 Phil Knirsch 2002-01-29 15:37:22 UTC
The latest version (4.2.3) is available via rawhide now. This should fix this
problem.

Thanks,

Read ya, Phil